Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.xquery.parser
Class XQueryParser

    java.lang.Object
      antlr.Parser
          antlr.LLkParser
              org.exist.xquery.parser.XQueryParser

All Implemented Interfaces:
  XQueryTokenTypes

public class XQueryParser
extends antlr.LLkParser
implements XQueryTokenTypes

eXist parses an XQuery expression in (currently) 4 phases: 1) lexical analysis in XQueryLexer 2) syntax analysis and construction of an intermediate AST (abstract syntax tree) in XQueryParser 3) analysis of the intermediate AST, and construction of the executable XQuery expression tree from the intermediate AST in `XQueryTreeParser` 4) static analysis of the final expression tree The grammar in XQuery.g corresponds to phase 2. It generates an intermediate AST which will then be parsed a second time by XQueryTree.g. ANTLR provides a special syntax for tree parsers. Every action returns an AST node and the # references these nodes. #[VARIABLE_BINDING, varName] constructs a new AST node of type VARIABLE_BINDING, which is prepended to the default AST generated by the production. ANTLR's meta language for tree construction is described in the ANTLR reference manual: http://www.antlr.org/doc/index.html .

Field Summary
`static java.lang.String[]` | `_tokenNames`
`static antlr.collections.impl.BitSet` | `_tokenSet_0`
`static antlr.collections.impl.BitSet` | `_tokenSet_1`
`static antlr.collections.impl.BitSet` | `_tokenSet_10`
`static antlr.collections.impl.BitSet` | `_tokenSet_11`
`static antlr.collections.impl.BitSet` | `_tokenSet_12`
`static antlr.collections.impl.BitSet` | `_tokenSet_13`
`static antlr.collections.impl.BitSet` | `_tokenSet_14`
`static antlr.collections.impl.BitSet` | `_tokenSet_15`
`static antlr.collections.impl.BitSet` | `_tokenSet_16`
`static antlr.collections.impl.BitSet` | `_tokenSet_2`
`static antlr.collections.impl.BitSet` | `_tokenSet_3`
`static antlr.collections.impl.BitSet` | `_tokenSet_4`
`static antlr.collections.impl.BitSet` | `_tokenSet_5`
`static antlr.collections.impl.BitSet` | `_tokenSet_6`
`static antlr.collections.impl.BitSet` | `_tokenSet_7`
`static antlr.collections.impl.BitSet` | `_tokenSet_8`
`static antlr.collections.impl.BitSet` | `_tokenSet_9`

Fields inherited from interface org.exist.xquery.parser.XQueryTokenTypes
`ABSOLUTE_DSLASH, ABSOLUTE_SLASH, AFTER, ANDEQ, APOS, APOS_ATTRIBUTE_CONTENT, AT, ATOMIC_TYPE, ATTRIBUTE, ATTRIBUTE_CONTENT, ATTRIBUTE_TEST, BASECHAR, BEFORE, CHAR, CHAR_REF, COLON, COMBINING_CHAR, COMMA, COMP_ATTR_CONSTRUCTOR, COMP_COMMENT_CONSTRUCTOR, COMP_DOC_CONSTRUCTOR, COMP_ELEM_CONSTRUCTOR, COMP_NS_CONSTRUCTOR, COMP_PI_CONSTRUCTOR, COMP_TEXT_CONSTRUCTOR, DECIMAL_LITERAL, DEF_COLLATION_DECL, DEF_FUNCTION_NS_DECL, DEF_NAMESPACE_DECL, DIGIT, DIGITS, DOLLAR, DOUBLE_LITERAL, DSLASH, ELEMENT, ELEMENT_CONTENT, END_TAG_START, EOF, EQ, ESCAPE_APOS, ESCAPE_QUOT, EXPR_COMMENT, EXTENDER, FLWOR, FUNCTION, FUNCTION_DECL, GLOBAL_VAR, GT, GTEQ, HEX_DIGITS, IDEOGRAPHIC, INTEGER_LITERAL, LCURLY, LETTER, LITERAL_ancestor, LITERAL_and, LITERAL_as, LITERAL_ascending, LITERAL_at, LITERAL_attribute, LITERAL_by, LITERAL_case, LITERAL_cast, LITERAL_castable, LITERAL_child, LITERAL_collation, LITERAL_collection, LITERAL_comment, LITERAL_construction, LITERAL_declare, LITERAL_default, LITERAL_delete, LITERAL_descendant, LITERAL_descending, LITERAL_div, LITERAL_document, LITERAL_element, LITERAL_else, LITERAL_empty, LITERAL_encoding, LITERAL_eq, LITERAL_every, LITERAL_except, LITERAL_external, LITERAL_following, LITERAL_for, LITERAL_function, LITERAL_ge, LITERAL_greatest, LITERAL_gt, LITERAL_idiv, LITERAL_if, LITERAL_import, LITERAL_in, LITERAL_inherit, LITERAL_insert, LITERAL_instance, LITERAL_intersect, LITERAL_into, LITERAL_is, LITERAL_isnot, LITERAL_item, LITERAL_le, LITERAL_least, LITERAL_let, LITERAL_lt, LITERAL_mod, LITERAL_module, LITERAL_namespace, LITERAL_ne, LITERAL_node, LITERAL_of, LITERAL_option, LITERAL_or, LITERAL_order, LITERAL_ordered, LITERAL_ordering, LITERAL_parent, LITERAL_preceding, LITERAL_preserve, LITERAL_rename, LITERAL_replace, LITERAL_return, LITERAL_satisfies, LITERAL_schema, LITERAL_self, LITERAL_some, LITERAL_strip, LITERAL_text, LITERAL_then, LITERAL_to, LITERAL_treat, LITERAL_typeswitch, LITERAL_union, LITERAL_unordered, LITERAL_update, LITERAL_validate, LITERAL_value, LITERAL_variable, LITERAL_version, LITERAL_where, LITERAL_with, LITERAL_xpointer, LITERAL_xquery, LPAREN, LPPAREN, LT, LTEQ, MINUS, MODULE, MODULE_DECL, MODULE_IMPORT, NAMESPACE_DECL, NCNAME, NEQ, NEXT_TOKEN, NMCHAR, NMSTART, NULL_TREE_LOOKAHEAD, OPTION, ORDER_BY, OREQ, PARENT, PARENTHESIZED, PLUS, POSITIONAL_VAR, PRAGMA, PRAGMA_END, PRAGMA_START, PREDEFINED_ENTITY_REF, PREDICATE, PREFIX_WILDCARD, PROLOG, QNAME, QUESTION, QUOT, QUOT_ATTRIBUTE_CONTENT, RCURLY, RPAREN, RPPAREN, S, SCHEMA_IMPORT, SELF, SEMICOLON, SLASH, STAR, STRING_LITERAL, TEXT, UNARY_MINUS, UNARY_PLUS, UNION, VARIABLE_BINDING, VARIABLE_REF, VERSION_DECL, WILDCARD, WS, XML_CDATA, XML_CDATA_END, XML_CDATA_START, XML_COMMENT, XML_COMMENT_END, XML_PI, XML_PI_END, XML_PI_START, XPOINTER, XPOINTER_ID`

Constructor Summary
`XQueryParser(antlr.ParserSharedInputState state)`
`XQueryParser(antlr.TokenBuffer tokenBuf)`
`XQueryParser(antlr.TokenStream lexer)`
`XQueryParser(XQueryLexer lexer)`

Method Summary
`void` | `abbrevStep()`
`void` | `additiveExpr()`
`void` | `andExpr()`
`void` | `anyKindTest()`
`void` | `aposAttrValueContent()`
`void` | `atomicType()`
`void` | `attrCommonContent()`
`void` | `attributeDef()`
`void` | `attributeEnclosedExpr()`
`void` | `attributeList()`
`void` | `attributeNameOrWildcard()`
`void` | `attributeTest()`
`void` | `attributeValue()`
`void` | `axisStep()`
`void` | `caseClause()`
`void` | `caseVar()`
`void` | `castableExpr()`
`void` | `castExpr()`
`void` | `cdataSection()`
`void` | `commentTest()`
`void` | `comparisonExpr()`
`void` | `compAttrConstructor()`
`void` | `compDocumentConstructor()`
`void` | `compElemBody()`
`void` | `compElemConstructor()`
`void` | `compTextConstructor()`
`void` | `computedConstructor()`
`void` | `compXmlComment()`
`void` | `compXmlPI()`
`void` | `contextItemExpr()`
`void` | `defaultVar()`
`void` | `deleteExpr()`
`void` | `directConstructor()`
`void` | `documentTest()`
`void` | `elementConstructor()`
`void` | `elementContent()`
`void` | `elementNameOrWildcard()`
`void` | `elementTest()`
`void` | `elementWithAttributes()`
`void` | `elementWithoutAttributes()`
`void` | `enclosedExpr()`
`void` | `expr()`
`void` | `exprSingle()`
`void` | `extensionExpr()`
`void` | `filterStep()`
`void` | `flworExpr()`
`void` | `forClause()`
`void` | `forwardAxis()`
`void` | `forwardAxisSpecifier()`
`void` | `forwardOrReverseStep()`
`boolean` | `foundErrors()`
`void` | `functionBody()`
`void` | `functionCall()`
`void` | `functionDecl()`
`void` | `functionParameters()`
`java.lang.String` | `getErrorMessage()`
`void` | `ifExpr()`
`void` | `imaginaryTokenDefinitions()`
`void` | `importDecl()`
`void` | `inheritMode()`
`void` | `insertExpr()`
`void` | `instanceofExpr()`
`void` | `intersectExceptExpr()`
`void` | `inVarBinding()`
`void` | `itemType()`
`void` | `kindTest()`
`void` | `letClause()`
`void` | `letVarBinding()`
`void` | `libraryModule()`
`void` | `literal()`
`void` | `localNamespaceDecl()`
`void` | `mainModule()`
`void` | `mixedElementContent()`
`void` | `module()`
`void` | `moduleDecl()`
`void` | `moduleImport()`
`void` | `moduleNamespace()`
`void` | `multiplicativeExpr()`
`void` | `namespaceDecl()`
`void` | `nameTest()`
`java.lang.String` | `ncnameOrKeyword()`
`void` | `nodeTest()`
`void` | `numericLiteral()`
`void` | `occurrenceIndicator()`
`void` | `optionDecl()`
`void` | `orderByClause()`
`void` | `orderedExpr()`
`void` | `orderModifier()`
`void` | `orderSpec()`
`void` | `orderSpecList()`
`void` | `orExpr()`
`void` | `param()`
`void` | `paramList()`
`void` | `parenthesizedExpr()`
`void` | `pathExpr()`
`void` | `piTest()`
`void` | `positionalVar()`
`void` | `pragma()`
`void` | `predicate()`
`void` | `predicates()`
`void` | `preserveMode()`
`void` | `primaryExpr()`
`void` | `prolog()`
`java.lang.String` | `qName()`
`void` | `quantifiedExpr()`
`void` | `quantifiedInVarBinding()`
`void` | `queryBody()`
`void` | `quotAttrValueContent()`
`void` | `rangeExpr()`
`void` | `relativePathExpr()`
`void` | `renameExpr()`
`void` | `replaceExpr()`
`java.lang.String` | `reservedKeywords()`
`void` | `returnType()`
`void` | `reverseAxis()`
`void` | `reverseAxisSpecifier()`
`void` | `schemaImport()`
`void` | `schemaPrefix()`
`void` | `sequenceType()`
`void` | `setter()`
`void` | `singleType()`
`void` | `stepExpr()`
`void` | `textTest()`
`void` | `treatExpr()`
`void` | `typeDeclaration()`
`void` | `typeName()`
`void` | `typeswitchExpr()`
`void` | `unaryExpr()`
`void` | `unionExpr()`
`void` | `unorderedExpr()`
`void` | `updateExpr()`
`void` | `updateValueExpr()`
`void` | `valueExpr()`
`void` | `varDecl()`
`void` | `varRef()`
`void` | `versionDecl()`
`void` | `wildcard()`
`void` | `xmlComment()`
`void` | `xmlPI()`
`void` | `xpath()` top-rule
`void` | `xpointer()`

Methods inherited from class antlr.LLkParser
`consume, LA, LT, traceIn, traceOut`

Methods inherited from class antlr.Parser
`addMessageListener, addParserListener, addParserMatchListener, addParserTokenListener, addSemanticPredicateListener, addSyntacticPredicateListener, addTraceListener, consumeUntil, consumeUntil, getAST, getASTFactory, getFilename, getInputState, getTokenName, getTokenNames, getTokenTypeToASTClassMap, isDebugMode, mark, match, match, matchNot, panic, removeMessageListener, removeParserListener, removeParserMatchListener, removeParserTokenListener, removeSemanticPredicateListener, removeSyntacticPredicateListener, removeTraceListener, reportError, reportError, reportWarning, rewind, setASTFactory, setASTNodeClass, setASTNodeType, setDebugMode, setFilename, setIgnoreInvalidDebugCalls, setInputState, setTokenBuffer, traceIndent`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _tokenNames

    public static final java.lang.String[] _tokenNames

### _tokenSet_0

    public static final antlr.collections.impl.BitSet _tokenSet_0

### _tokenSet_1

    public static final antlr.collections.impl.BitSet _tokenSet_1

### _tokenSet_2

    public static final antlr.collections.impl.BitSet _tokenSet_2

### _tokenSet_3

    public static final antlr.collections.impl.BitSet _tokenSet_3

### _tokenSet_4

    public static final antlr.collections.impl.BitSet _tokenSet_4

### _tokenSet_5

    public static final antlr.collections.impl.BitSet _tokenSet_5

### _tokenSet_6

    public static final antlr.collections.impl.BitSet _tokenSet_6

### _tokenSet_7

    public static final antlr.collections.impl.BitSet _tokenSet_7

### _tokenSet_8

    public static final antlr.collections.impl.BitSet _tokenSet_8

### _tokenSet_9

    public static final antlr.collections.impl.BitSet _tokenSet_9

### _tokenSet_10

    public static final antlr.collections.impl.BitSet _tokenSet_10

### _tokenSet_11

    public static final antlr.collections.impl.BitSet _tokenSet_11

### _tokenSet_12

    public static final antlr.collections.impl.BitSet _tokenSet_12

### _tokenSet_13

    public static final antlr.collections.impl.BitSet _tokenSet_13

### _tokenSet_14

    public static final antlr.collections.impl.BitSet _tokenSet_14

### _tokenSet_15

    public static final antlr.collections.impl.BitSet _tokenSet_15

### _tokenSet_16

    public static final antlr.collections.impl.BitSet _tokenSet_16

Constructor Detail

### XQueryParser

    public XQueryParser(XQueryLexer lexer)

### XQueryParser

    public XQueryParser(antlr.TokenBuffer tokenBuf)

### XQueryParser

    public XQueryParser(antlr.TokenStream lexer)

### XQueryParser

    public XQueryParser(antlr.ParserSharedInputState state)

Method Detail

### foundErrors

    public boolean foundErrors()

### getErrorMessage

    public java.lang.String getErrorMessage()

### imaginaryTokenDefinitions

    public final void imaginaryTokenDefinitions()
                                         throws antlr.RecognitionException,
                                                antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### xpointer

    public final void xpointer()
                        throws antlr.RecognitionException,
                               antlr.TokenStreamException,
                               XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### expr

    public final void expr()
                    throws antlr.RecognitionException,
                           antlr.TokenStreamException,
                           XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### xpath

    public final void xpath()
                     throws antlr.RecognitionException,
                            antlr.TokenStreamException,
                            XPathException

  top-rule

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### module

    public final void module()
                      throws antlr.RecognitionException,
                             antlr.TokenStreamException,
                             XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### versionDecl

    public final void versionDecl()
                           throws antlr.RecognitionException,
                                  antlr.TokenStreamException,
                                  XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### libraryModule

    public final void libraryModule()
                             throws antlr.RecognitionException,
                                    antlr.TokenStreamException,
                                    XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### mainModule

    public final void mainModule()
                          throws antlr.RecognitionException,
                                 antlr.TokenStreamException,
                                 XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### prolog

    public final void prolog()
                      throws antlr.RecognitionException,
                             antlr.TokenStreamException,
                             XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### queryBody

    public final void queryBody()
                         throws antlr.RecognitionException,
                                antlr.TokenStreamException,
                                XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### moduleDecl

    public final void moduleDecl()
                          throws antlr.RecognitionException,
                                 antlr.TokenStreamException,
                                 XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### importDecl

    public final void importDecl()
                          throws antlr.RecognitionException,
                                 antlr.TokenStreamException,
                                 XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### setter

    public final void setter()
                      throws antlr.RecognitionException,
                             antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### namespaceDecl

    public final void namespaceDecl()
                             throws antlr.RecognitionException,
                                    antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### optionDecl

    public final void optionDecl()
                          throws antlr.RecognitionException,
                                 antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### functionDecl

    public final void functionDecl()
                            throws antlr.RecognitionException,
                                   antlr.TokenStreamException,
                                   XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### varDecl

    public final void varDecl()
                       throws antlr.RecognitionException,
                              antlr.TokenStreamException,
                              XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### moduleImport

    public final void moduleImport()
                            throws antlr.RecognitionException,
                                   antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### schemaImport

    public final void schemaImport()
                            throws antlr.RecognitionException,
                                   antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### preserveMode

    public final void preserveMode()
                            throws antlr.RecognitionException,
                                   antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### inheritMode

    public final void inheritMode()
                           throws antlr.RecognitionException,
                                  antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### ncnameOrKeyword

    public final java.lang.String ncnameOrKeyword()
                                           throws antlr.RecognitionException,
                                                  antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### qName

    public final java.lang.String qName()
                                 throws antlr.RecognitionException,
                                        antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### typeDeclaration

    public final void typeDeclaration()
                               throws antlr.RecognitionException,
                                      antlr.TokenStreamException,
                                      XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### moduleNamespace

    public final void moduleNamespace()
                               throws antlr.RecognitionException,
                                      antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### schemaPrefix

    public final void schemaPrefix()
                            throws antlr.RecognitionException,
                                   antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### paramList

    public final void paramList()
                         throws antlr.RecognitionException,
                                antlr.TokenStreamException,
                                XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### returnType

    public final void returnType()
                          throws antlr.RecognitionException,
                                 antlr.TokenStreamException,
                                 XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### functionBody

    public final void functionBody()
                            throws antlr.RecognitionException,
                                   antlr.TokenStreamException,
                                   XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### sequenceType

    public final void sequenceType()
                            throws antlr.RecognitionException,
                                   antlr.TokenStreamException,
                                   XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### param

    public final void param()
                     throws antlr.RecognitionException,
                            antlr.TokenStreamException,
                            XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### itemType

    public final void itemType()
                        throws antlr.RecognitionException,
                               antlr.TokenStreamException,
                               XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### occurrenceIndicator

    public final void occurrenceIndicator()
                                   throws antlr.RecognitionException,
                                          antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### kindTest

    public final void kindTest()
                        throws antlr.RecognitionException,
                               antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### atomicType

    public final void atomicType()
                          throws antlr.RecognitionException,
                                 antlr.TokenStreamException,
                                 XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### singleType

    public final void singleType()
                          throws antlr.RecognitionException,
                                 antlr.TokenStreamException,
                                 XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### exprSingle

    public final void exprSingle()
                          throws antlr.RecognitionException,
                                 antlr.TokenStreamException,
                                 XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### flworExpr

    public final void flworExpr()
                         throws antlr.RecognitionException,
                                antlr.TokenStreamException,
                                XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### quantifiedExpr

    public final void quantifiedExpr()
                              throws antlr.RecognitionException,
                                     antlr.TokenStreamException,
                                     XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### ifExpr

    public final void ifExpr()
                      throws antlr.RecognitionException,
                             antlr.TokenStreamException,
                             XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### typeswitchExpr

    public final void typeswitchExpr()
                              throws antlr.RecognitionException,
                                     antlr.TokenStreamException,
                                     XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### updateExpr

    public final void updateExpr()
                          throws antlr.RecognitionException,
                                 antlr.TokenStreamException,
                                 XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### orExpr

    public final void orExpr()
                      throws antlr.RecognitionException,
                             antlr.TokenStreamException,
                             XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### replaceExpr

    public final void replaceExpr()
                           throws antlr.RecognitionException,
                                  antlr.TokenStreamException,
                                  XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### updateValueExpr

    public final void updateValueExpr()
                               throws antlr.RecognitionException,
                                      antlr.TokenStreamException,
                                      XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### insertExpr

    public final void insertExpr()
                          throws antlr.RecognitionException,
                                 antlr.TokenStreamException,
                                 XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### deleteExpr

    public final void deleteExpr()
                          throws antlr.RecognitionException,
                                 antlr.TokenStreamException,
                                 XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### renameExpr

    public final void renameExpr()
                          throws antlr.RecognitionException,
                                 antlr.TokenStreamException,
                                 XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### forClause

    public final void forClause()
                         throws antlr.RecognitionException,
                                antlr.TokenStreamException,
                                XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### letClause

    public final void letClause()
                         throws antlr.RecognitionException,
                                antlr.TokenStreamException,
                                XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### orderByClause

    public final void orderByClause()
                             throws antlr.RecognitionException,
                                    antlr.TokenStreamException,
                                    XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### inVarBinding

    public final void inVarBinding()
                            throws antlr.RecognitionException,
                                   antlr.TokenStreamException,
                                   XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### letVarBinding

    public final void letVarBinding()
                             throws antlr.RecognitionException,
                                    antlr.TokenStreamException,
                                    XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### positionalVar

    public final void positionalVar()
                             throws antlr.RecognitionException,
                                    antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### orderSpecList

    public final void orderSpecList()
                             throws antlr.RecognitionException,
                                    antlr.TokenStreamException,
                                    XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### orderSpec

    public final void orderSpec()
                         throws antlr.RecognitionException,
                                antlr.TokenStreamException,
                                XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### orderModifier

    public final void orderModifier()
                             throws antlr.RecognitionException,
                                    antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### quantifiedInVarBinding

    public final void quantifiedInVarBinding()
                                      throws antlr.RecognitionException,
                                             antlr.TokenStreamException,
                                             XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### caseClause

    public final void caseClause()
                          throws antlr.RecognitionException,
                                 antlr.TokenStreamException,
                                 XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### defaultVar

    public final void defaultVar()
                          throws antlr.RecognitionException,
                                 antlr.TokenStreamException,
                                 XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### caseVar

    public final void caseVar()
                       throws antlr.RecognitionException,
                              antlr.TokenStreamException,
                              XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### andExpr

    public final void andExpr()
                       throws antlr.RecognitionException,
                              antlr.TokenStreamException,
                              XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### comparisonExpr

    public final void comparisonExpr()
                              throws antlr.RecognitionException,
                                     antlr.TokenStreamException,
                                     XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### instanceofExpr

    public final void instanceofExpr()
                              throws antlr.RecognitionException,
                                     antlr.TokenStreamException,
                                     XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### treatExpr

    public final void treatExpr()
                         throws antlr.RecognitionException,
                                antlr.TokenStreamException,
                                XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### castableExpr

    public final void castableExpr()
                            throws antlr.RecognitionException,
                                   antlr.TokenStreamException,
                                   XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### castExpr

    public final void castExpr()
                        throws antlr.RecognitionException,
                               antlr.TokenStreamException,
                               XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### unaryExpr

    public final void unaryExpr()
                         throws antlr.RecognitionException,
                                antlr.TokenStreamException,
                                XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### rangeExpr

    public final void rangeExpr()
                         throws antlr.RecognitionException,
                                antlr.TokenStreamException,
                                XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### additiveExpr

    public final void additiveExpr()
                            throws antlr.RecognitionException,
                                   antlr.TokenStreamException,
                                   XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### multiplicativeExpr

    public final void multiplicativeExpr()
                                  throws antlr.RecognitionException,
                                         antlr.TokenStreamException,
                                         XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### unionExpr

    public final void unionExpr()
                         throws antlr.RecognitionException,
                                antlr.TokenStreamException,
                                XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### valueExpr

    public final void valueExpr()
                         throws antlr.RecognitionException,
                                antlr.TokenStreamException,
                                XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### pathExpr

    public final void pathExpr()
                        throws antlr.RecognitionException,
                               antlr.TokenStreamException,
                               XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### extensionExpr

    public final void extensionExpr()
                             throws antlr.RecognitionException,
                                    antlr.TokenStreamException,
                                    XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### pragma

    public final void pragma()
                      throws antlr.RecognitionException,
                             antlr.TokenStreamException,
                             XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### intersectExceptExpr

    public final void intersectExceptExpr()
                                   throws antlr.RecognitionException,
                                          antlr.TokenStreamException,
                                          XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### relativePathExpr

    public final void relativePathExpr()
                                throws antlr.RecognitionException,
                                       antlr.TokenStreamException,
                                       XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### stepExpr

    public final void stepExpr()
                        throws antlr.RecognitionException,
                               antlr.TokenStreamException,
                               XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### axisStep

    public final void axisStep()
                        throws antlr.RecognitionException,
                               antlr.TokenStreamException,
                               XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### filterStep

    public final void filterStep()
                          throws antlr.RecognitionException,
                                 antlr.TokenStreamException,
                                 XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### literal

    public final void literal()
                       throws antlr.RecognitionException,
                              antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### forwardOrReverseStep

    public final void forwardOrReverseStep()
                                    throws antlr.RecognitionException,
                                           antlr.TokenStreamException,
                                           XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### predicates

    public final void predicates()
                          throws antlr.RecognitionException,
                                 antlr.TokenStreamException,
                                 XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### predicate

    public final void predicate()
                         throws antlr.RecognitionException,
                                antlr.TokenStreamException,
                                XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### forwardAxisSpecifier

    public final void forwardAxisSpecifier()
                                    throws antlr.RecognitionException,
                                           antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### forwardAxis

    public final void forwardAxis()
                           throws antlr.RecognitionException,
                                  antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### nodeTest

    public final void nodeTest()
                        throws antlr.RecognitionException,
                               antlr.TokenStreamException,
                               XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### reverseAxisSpecifier

    public final void reverseAxisSpecifier()
                                    throws antlr.RecognitionException,
                                           antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### reverseAxis

    public final void reverseAxis()
                           throws antlr.RecognitionException,
                                  antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### abbrevStep

    public final void abbrevStep()
                          throws antlr.RecognitionException,
                                 antlr.TokenStreamException,
                                 XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### nameTest

    public final void nameTest()
                        throws antlr.RecognitionException,
                               antlr.TokenStreamException,
                               XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### wildcard

    public final void wildcard()
                        throws antlr.RecognitionException,
                               antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### primaryExpr

    public final void primaryExpr()
                           throws antlr.RecognitionException,
                                  antlr.TokenStreamException,
                                  XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### computedConstructor

    public final void computedConstructor()
                                   throws antlr.RecognitionException,
                                          antlr.TokenStreamException,
                                          XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### orderedExpr

    public final void orderedExpr()
                           throws antlr.RecognitionException,
                                  antlr.TokenStreamException,
                                  XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### unorderedExpr

    public final void unorderedExpr()
                             throws antlr.RecognitionException,
                                    antlr.TokenStreamException,
                                    XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### directConstructor

    public final void directConstructor()
                                 throws antlr.RecognitionException,
                                        antlr.TokenStreamException,
                                        XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### functionCall

    public final void functionCall()
                            throws antlr.RecognitionException,
                                   antlr.TokenStreamException,
                                   XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### contextItemExpr

    public final void contextItemExpr()
                               throws antlr.RecognitionException,
                                      antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### parenthesizedExpr

    public final void parenthesizedExpr()
                                 throws antlr.RecognitionException,
                                        antlr.TokenStreamException,
                                        XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### varRef

    public final void varRef()
                      throws antlr.RecognitionException,
                             antlr.TokenStreamException,
                             XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### numericLiteral

    public final void numericLiteral()
                              throws antlr.RecognitionException,
                                     antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### functionParameters

    public final void functionParameters()
                                  throws antlr.RecognitionException,
                                         antlr.TokenStreamException,
                                         XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### textTest

    public final void textTest()
                        throws antlr.RecognitionException,
                               antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### anyKindTest

    public final void anyKindTest()
                           throws antlr.RecognitionException,
                                  antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### elementTest

    public final void elementTest()
                           throws antlr.RecognitionException,
                                  antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### attributeTest

    public final void attributeTest()
                             throws antlr.RecognitionException,
                                    antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### commentTest

    public final void commentTest()
                           throws antlr.RecognitionException,
                                  antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### piTest

    public final void piTest()
                      throws antlr.RecognitionException,
                             antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### documentTest

    public final void documentTest()
                            throws antlr.RecognitionException,
                                   antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### elementNameOrWildcard

    public final void elementNameOrWildcard()
                                     throws antlr.RecognitionException,
                                            antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### typeName

    public final void typeName()
                        throws antlr.RecognitionException,
                               antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### attributeNameOrWildcard

    public final void attributeNameOrWildcard()
                                       throws antlr.RecognitionException,
                                              antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### elementConstructor

    public final void elementConstructor()
                                  throws antlr.RecognitionException,
                                         antlr.TokenStreamException,
                                         XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### xmlComment

    public final void xmlComment()
                          throws antlr.RecognitionException,
                                 antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### xmlPI

    public final void xmlPI()
                     throws antlr.RecognitionException,
                            antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### compElemConstructor

    public final void compElemConstructor()
                                   throws antlr.RecognitionException,
                                          antlr.TokenStreamException,
                                          XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### compAttrConstructor

    public final void compAttrConstructor()
                                   throws antlr.RecognitionException,
                                          antlr.TokenStreamException,
                                          XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### compTextConstructor

    public final void compTextConstructor()
                                   throws antlr.RecognitionException,
                                          antlr.TokenStreamException,
                                          XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### compDocumentConstructor

    public final void compDocumentConstructor()
                                       throws antlr.RecognitionException,
                                              antlr.TokenStreamException,
                                              XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### compXmlPI

    public final void compXmlPI()
                         throws antlr.RecognitionException,
                                antlr.TokenStreamException,
                                XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### compXmlComment

    public final void compXmlComment()
                              throws antlr.RecognitionException,
                                     antlr.TokenStreamException,
                                     XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### compElemBody

    public final void compElemBody()
                            throws antlr.RecognitionException,
                                   antlr.TokenStreamException,
                                   XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### localNamespaceDecl

    public final void localNamespaceDecl()
                                  throws antlr.RecognitionException,
                                         antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### elementWithAttributes

    public final void elementWithAttributes()
                                     throws antlr.RecognitionException,
                                            antlr.TokenStreamException,
                                            XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### elementWithoutAttributes

    public final void elementWithoutAttributes()
                                        throws antlr.RecognitionException,
                                               antlr.TokenStreamException,
                                               XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### mixedElementContent

    public final void mixedElementContent()
                                   throws antlr.RecognitionException,
                                          antlr.TokenStreamException,
                                          XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### attributeList

    public final void attributeList()
                             throws antlr.RecognitionException,
                                    antlr.TokenStreamException,
                                    XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### attributeDef

    public final void attributeDef()
                            throws antlr.RecognitionException,
                                   antlr.TokenStreamException,
                                   XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### attributeValue

    public final void attributeValue()
                              throws antlr.RecognitionException,
                                     antlr.TokenStreamException,
                                     XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### quotAttrValueContent

    public final void quotAttrValueContent()
                                    throws antlr.RecognitionException,
                                           antlr.TokenStreamException,
                                           XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### aposAttrValueContent

    public final void aposAttrValueContent()
                                    throws antlr.RecognitionException,
                                           antlr.TokenStreamException,
                                           XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### attrCommonContent

    public final void attrCommonContent()
                                 throws antlr.RecognitionException,
                                        antlr.TokenStreamException,
                                        XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### attributeEnclosedExpr

    public final void attributeEnclosedExpr()
                                     throws antlr.RecognitionException,
                                            antlr.TokenStreamException,
                                            XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### elementContent

    public final void elementContent()
                              throws antlr.RecognitionException,
                                     antlr.TokenStreamException,
                                     XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### cdataSection

    public final void cdataSection()
                            throws antlr.RecognitionException,
                                   antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### enclosedExpr

    public final void enclosedExpr()
                            throws antlr.RecognitionException,
                                   antlr.TokenStreamException,
                                   XPathException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`
    `XPathException`

### reservedKeywords

    public final java.lang.String reservedKeywords()
                                            throws antlr.RecognitionException,
                                                   antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.